/**************************************************

	File: usb_mouse.h

	Copyright (C) 2013 S.Suwa <www.suwa-koubou.jp>

*/

#ifndef	__USB_MOUSE_H
#define	__USB_MOUSE_H

#include "GenericTypeDefs.h"

#define	VALID_REPORT	1
#define	INVALID_REPORT	0

#ifndef	NULL
	#define	NULL	(void *)0
#endif

typedef struct {
	struct {
	unsigned char	left;
	unsigned char	right;
	unsigned char	wheel;
	} button;
	char	x_axis;
	char	y_axis;
	char	wheel;
} USB_MOUSE_DATA;


BOOL USB_HID_DataCollectionHandler(void);
extern	BOOL mouse_read(BYTE deviceAddress, USB_MOUSE_DATA *data);

#endif
/*** end of usb_mouse.h **************************/
